local Scenename = {}

function Scenename:init()

	self.direction_choice = {-1, 1} --clockkwise or counterclockwise
	
	self.background_color = {math.random(), math.random(), math.random()}
	
	self.image_holder = {}
	
	for ix =0, love.graphics.getWidth( ), 50 do 
		for iy =0, love.graphics.getHeight( ), 50 do 
			--CREATE OBJECTS TO FILL THE SCREEN WITH RANDOM ROTATION START
			local new_obey = {x = ix,
							  y = iy , 
							  r = math.random(os.time()),
							  w = 100, 
							  h = 100,
							  img = love.graphics.newImage( "img/obey.png"),
							  direction = self.direction_choice [math.random(2)],
							  speed = math.random() * 1.5}
			table.insert(self.image_holder, new_obey)
		end
	end

end

function Scenename:update(dt)

	for _, v in pairs(self.image_holder) do 
		v.r = (v.r + dt * v.speed * v.direction)%(2*math.pi) --rotation 
	end
	
end

function Scenename:draw(dt)
	--DRAW BACKGROUND
	love.graphics.setBackgroundColor(self.background_color)

	--DRAW IMAGE
	for _, v in pairs(self.image_holder) do 
		love.graphics.draw(v.img, v.x, v.y, v.r, 0.5,0.5, 50, 50)
	end
	--FPS COUNTER
	love.graphics.setColor(1,1,1)
	love.graphics.print(love.timer.getFPS( ))
	love.graphics.print("SCENE :"..tostring(global_scene_index), 0, 15)
	
end

function Scenename:enter(previous)
	--try deleting previous gamestate
	previous = nil -- Does not work
	-- Try garbagecollect
	collectgarbage("collect")  -- Does not work
end

return Scenename


